com.pixelmed.dicom

## Class PrivatePixelData

- java.lang.Object
- - com.pixelmed.dicom.PrivatePixelData

-     public class PrivatePixelData
      extends java.lang.Object

  This class includes standard and private mechanisms for handling float or double Pixel Data.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `pixelmedPrivateCreatorForFloatOrDoublePixelData`
    `static AttributeTag` | `pixelmedPrivateDoublePixelData`
    `static AttributeTag` | `pixelmedPrivateFloatPixelData`
    `static int` | `pixelmedPrivatePixelDataGroup`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrivatePixelData()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Attribute` | `getPixelData(AttributeList list)` Returns the Attribute that contains the Pixel Data.
    `static void` | `replacePixelData(AttributeList list, Attribute aPixelData)` Add or replace the Pixel Data.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### pixelmedPrivateCreatorForFloatOrDoublePixelData

          public static final java.lang.String pixelmedPrivateCreatorForFloatOrDoublePixelData

      See Also:
        Constant Field Values

    - #### pixelmedPrivatePixelDataGroup

          public static final int pixelmedPrivatePixelDataGroup

      See Also:
        Constant Field Values

    - #### pixelmedPrivateFloatPixelData

          public static final AttributeTag pixelmedPrivateFloatPixelData

    - #### pixelmedPrivateDoublePixelData

          public static final AttributeTag pixelmedPrivateDoublePixelData

  - ### Constructor Detail

    - #### PrivatePixelData

          public PrivatePixelData()

  - ### Method Detail

    - #### getPixelData

          public static Attribute getPixelData(AttributeList list)

      Returns the Attribute that contains the Pixel Data.

      Handles standard and private float or double alternatives to the conventional (0x7FE0,0x0010).

      Parameters:
        `list` - the AttributeList to search
      Returns:
        the Attribute or null if not found

    - #### replacePixelData

          public static void replacePixelData(AttributeList list,
                                              Attribute aPixelData)
                                       throws DicomException

      Add or replace the Pixel Data.

      Removes any existing (private) group containing pixel data, including the private creator .

      Handles (various private) float or double alternatives to the conventional (0x7FE0,0x0010).

      Parameters:
        `list` - the AttributeList to search
      Throws:
        `DicomException` - if an error occurs